Jump to content
tinsky

Twin Shot looks different in Chrome and Firefox - no scroll

Recommended Posts

tinsky    3
tinsky

I beg to differ that its working.  I don't see a scroll bar - I've uploaded a screen capture.  It looks no different to when I began this thread.

post-37639-0-45036000-1364914125_thumb.p

Share this post


Link to post
Share on other sites
Simon    247
Simon

It looks exactly the same in all browsers i tested.

 

We can only assume its some css conflict with either your custom css or one of the many plugins you have on the page.

Share this post


Link to post
Share on other sites
tinsky    3
tinsky

Even in the sceen shot you provide there is no scroll bar.  The wording on the third item is cut off.

Share this post


Link to post
Share on other sites
Simon    247
Simon

Yes but it looks the same, in all browsers. So it isn't a browser issue.

 

http://twinshot.pagelines.me/ It looks fine here, so the difference is your site has a load of plugins.

 

So either twinshot was designed to just not work on only your site, or something on your site is conflicting with it.

 

So all we can do is ask you to disable all 3rd party plugins and test, to rule that out.

 

If the problem goes away then re-enable one at a time until you find the culprit.

Share this post


Link to post
Share on other sites
tinsky    3
tinsky

This is a quote from BPS website. BPS helped me to set up the custom ini file over the weekend.  Ironically, today I had someone trying to hack into my plugins folder to execute an uninstall script for CommentLuv.  My security stopped them and provided me with information regarding IP etc.

 

So can i do this with your minified scripts?  Are they set up to do this?

 

Last year in November I was hacked, which resulted in seven of my sites having to be resintalled and reset-up from scratch.  I was hacked a few years ago as well. The first time I wasn't using the Wordpress CMS but another, but last year I was using wordpress without any security. So yes, security is very important to me.

 

I am a writer and that's what i want to do, not have to continually fight back hackers.

 

All your plugin scripts are in my whitelist so all I need to do now is to exclude them from being minified in the minified plugin.

 

BPS is a highly recommended plugin from the Wordpress repository.

 

 

I don't have custom CSS.  I didn't want to bother playing around with that so its whatever pagelines and word press has provided.  I'd really like the question I asked above to be answered.  And why tell me its working fine when it clearly isn't?

Share this post


Link to post
Share on other sites
Simon    247
Simon

Right does twinshot work without the minify plugin?

Share this post


Link to post
Share on other sites
tinsky    3
tinsky

Can you tell me which files to remove?

 

If you read previous posts, you'll see that I have already been through the deactivation of all plugins with no success.

Share this post


Link to post
Share on other sites
tinsky    3
tinsky

BTW I just looked into the access logs as right after you mentioned the timthumbs issue (which I was aware of due to my firewall but was tackingling the more important issues first), there was another attempt to upload scripts to my website.

 

I had a look into my cpanel

 

 

09:08:50 2013] [error] [client 81.152.250.54] client denied by server configuration: Jacmus.com/wp-content/plugins/advanced-recent-posts-widget/timthumb/thumb.php, referer: http://jacmus.com/
[Tue Apr 02 09:08:50 2013] [error] [client 81.152.250.54] client denied by server configuration: Jacmus.com/wp-content/plugins/advanced-recent-posts-widget/timthumb/thumb.php, referer: http://jacmus.com/
[Tue Apr 02 09:08:49 2013] [error] [client 81.152.250.54] client denied by server configuration: Jacmus.com/wp-content/plugins/advanced-recent-posts-widget/timthumb/thumb.php, referer: http://jacmus.com/
[Tue Apr 02 09:08:48 2013] [error] [client 81.152.250.54] client denied by server configuration: Jacmus.com/wp-content/plugins/advanced-recent-posts-widget/timthumb/thumb.php, referer: http://jacmus.com/
[Tue Apr 02 09:08:48 2013] [error] [client 81.152.250.54] client denied by server configuration: Jacmus.com/wp-content/plugins/advanced-recent-posts-widget/timthumb/thumb.php, referer: http://jacmus.com/
[Tue Apr 02 09:08:48 2013] [error] [client 81.152.250.54] client denied by server configuration: Jacmus.com/wp-content/plugins/advanced-recent-posts-widget/timthumb/thumb.php, referer: http://jacmus.com/
[Tue Apr 02 09:08:48 2013] [error] [client 81.152.250.54] client denied by server configuration:Jacmus.com/wp-content/plugins/advanced-recent-posts-widget/timthumb/thumb.php, referer: http://jacmus.com/
[Tue Apr 02 09:08:48 2013] [error] [client 81.152.250.54] client denied by server configuration:Jacmus.com/wp-content/plugins/advanced-recent-posts-widget/timthumb/thumb.php, referer: http://jacmus.com/
[Tue Apr 02 09:08:47 2013] [error] [client 81.152.250.54] client denied by server configuration: Jacmus.com/wp-content/plugins/advanced-recent-posts-widget/timthumb/thumb.php, referer: http://jacmus.com/
 
 
Coincidental that this IP is from the uk?  http://iplocation.truevue.org/81.152.250.0.html
 
This is the same ip that tried to hack earlier.

Share this post


Link to post
Share on other sites
Simon    247
Simon

Yes coincidence indeed, and that is my IP. Look at the logs and what they are telling you. My browser was trying to load thumb.php and whats the referer? You site. So your site asked my browser to load that address to get the thumbs for your recent posts, but then your server has denied it.

Probably mod_security at a guess blocking timthumb because its on so many black lists.

 

Your logs mention nothing about uploading scripts.

Share this post


Link to post
Share on other sites
Simon    247
Simon

This is the same ip that tried to hack earlier.

Oh and now im a hacker twice?

 

Maybe you should open a proper support ticket hello [at] pagelines [dot] com

Share this post


Link to post
Share on other sites
tinsky    3
tinsky

Thanks for putting customers first.  I have everything documented and will be calling Pagelines shortly.

Share this post


Link to post
Share on other sites
Simon    247
Simon

Thanks for putting customers first.  I have everything documented and will be calling Pagelines shortly.

 

Im sorry, please accept my apologies. I just get a little rattled when simply viewing your site gets me accused of hacking. I was asked by the support staff to take a look and I have told you what I think the issue is: Conflicting CSS from another plugin.

 

There are only so many different things to try to find out whats conflicting.

Share this post


Link to post
Share on other sites
tinsky    3
tinsky

Thank you for the apology.  My own frustration is that I can't get a direct answer to what I have bolded in the quote beneath.  I understand you believe it's a conflicting issue, and we have been exploring that possibility.  If you can answer directly the question in bold, I can at least attempt to see if the answer will provide me a resolution.  If it does not, at least that's ruled out, and we can continue with the trial and error. 

 

 

Quote

Minify Plugins: If you are using a Minify plugin then you will probably not see Security Log entries / alerts.  Most if not all minifying plugins allow you to choose to exclude plugin scripts that you do not want to minify.  If you want to use the BPS Pro Plugin Firewall then you can choose not to minify particular plugin scripts so that you can use both minifying and the Plugin Firewall together.  It is recommended that you turn Off/deactivate minifying to get the plugin scripts that need to be whitelisted in the Plugin Firewall.  After you have added those plugin scripts to your Plugin Firewall whitelist you can then exclude those same plugin scripts from being minified in your minify plugin and turn On/activate your Minify plugin.

Share this post


Link to post
Share on other sites
Simon    247
Simon

Sorry I dont understand the question. The bold text is asking you to add js scripts to a whitelist so the firewall script will ignore them right? But as I see it your not even using a minfy plugin, and all the javascript is being loaded. There are no js errors on the page, that is not the issue.

Share this post


Link to post
Share on other sites
tinsky    3
tinsky

Okay

 

Danny advised me at the beginning of this thread (post 2) that error had to do with /pagelines-sections/twin-shot/libs/scroll/jquery.mousewheel.min.js  and  he requested that I provide my php.ini.  Now, I was working on this already with my security plugin provider AIF who provide Bullet Proof Security .  And over the last few days we have installed a custom php ini file as the host provider had a number of odd things set up which were conflicting with Word Press.

 

At this time I didn't have a problem accessing query.mousewheel.min.js like Danny as I have admin privileges with the firewall and security plugin

 

However, willing to try every avenue I did some of the things that he suggested in his first response:

 


 

Quote Danny

Hi,

 

You have several errors on your site, all of which seem to be related to the jquery file called mousewheel.min.js not being accessible.

 

http://jacmus.com/wp-content/plugins/pagelines-sections/twin-shot/libs/scroll/jquery.mousewheel.min.js

 

You will need to either upload the file(s), also making sure that all other files for twinshot are available and in the correct folders. If this doesn't resolve the issue, it may well be a hosting related problem.

 

Therefore, can you enable PageLines debug mode (PageLines > Site Options > Advanced) and also provide us with your PHP info please.

 

http://codex.wordpress.org/Finding_Server_Info

 

 

 

1.  I uninstalled the twin-shot plugin and reinstalled and activiated it as Danny suggested.

2. I deactivated all my plugins including some of the additional pageline plugins (but not the core ones) and reactivated them one at time This included the security plugin.

3.  I went into debug mode for pagelines and the only Bad thing it came up with was that magic quotes was set to on,  (it actually stated "bad")  I was already aware of this, as it was being addressed by AIF.

4.  While re-adding all my js plugins to the whitelist for BPS earlier yesterday, I was reading about minified scripts on their forum and how these may need to be treated for the plugin to work correctly.  So I came back here to ask the question about whether Pagelines and in particular twin shot uses minified scripts as it could be an issue with BPS that requires a little further tweaking (but one that can be addressed if the minified script has been set up to work that way.  See post #15)

5. Danny advised me that yes it does use minified scripts and I had to make the choice of whether I want to keep my security plugin or the flexibility of Pagelines.

6. I then copied and posted a quote from AIF (BPS) where they state:

 

 

Quote

Minify Plugins: If you are using a Minify plugin then you will probably not see Security Log entries / alerts.  Most if not all minifying plugins allow you to choose to exclude plugin scripts that you do not want to minify.  If you want to use the BPS Pro Plugin Firewall then you can choose not to minify particular plugin scripts so that you can use both minifying and the Plugin Firewall together.  It is recommended that you turn Off/deactivate minifying to get the plugin scripts that need to be whitelisted in the Plugin Firewall.  After you have added those plugin scripts to your Plugin Firewall whitelist you can then exclude those same plugin scripts from being minified in your minify plugin and turn On/activate your Minify plugin.

 

 

And my question to Danny who hasn't advised me of the issue being anything at all to do with CSS was do the minify scripts allow me from excluding those same plugin scripts from being minified in the minified plug in.

 

I have not yet had an answer to this question as the posts that followed from Danny, yourself and someone else began attacking me for the use of a security plugin and how useless it was.  The fact that during this conversation someone attempted to upload two different scripts to my website on numerous occasions during this conversation without giving me an answer to my question proved to me that there is a need for such plugins.

 

Still no mention of it being a CSS problem until your post #37

 

Now I could go delete the scripts that I think are the minified ones, but no one has answered my question as to which ones they are or whether its some sort of code that I need to put into these scripts to exclude them and even if the plugin twin shots will work without them.

 

So before I go ahead and waist the rest of this evening (sun is rising here and my 5 year old has already awoken) can you please please answer this question which Danny decided to ignore and instead I wasw badgered by people about using a security module.

 

What I need to know with Twin Shots is:

Which scripts are the minified ones for twin-shot

Do I have to add code to these scrips to exclude them or do I simply delete them?  If I have to add code or hash tag code out - what file and what line number?

 

Once I have done that and if its still not working as it should we'll look at the the CSS which I am more familiar with then php.

 

Sorry for being narky but I am trying to deal with one issue at a time including lack of sleep, a 5 year daughter and a husband who has to go to work in three hours.  Its now 5.34AM here and I can't believe its taken this long.

Share this post


Link to post
Share on other sites
Simon    247
Simon

/js/responsive-containers.min.js
/libs/scroll/jquery.mCustomScrollbar.min.js
/libs/scroll/jquery.mousewheel.min.js
/libs/scroll/jquery-ui-1.8.21.custom.min.js

 

Thats the only minified js files i see in the twinshot folder.

 

Neither PageLines Framework or any 3rd party plugin/section/theme minifies any javascript.

Share this post


Link to post
Share on other sites
tinsky    3
tinsky

Thank you,  removing those 4 files plus another that I have found:

 

/libs/flex/jquery.flexslider-min.js

 

Has now provided me with a solution and its all working.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now


  • Similar Content

    • Michael Kummer
      By Michael Kummer+
      Hi guys,
      every since Chrome introduce scroll anchoring (see chrome://flags) blog posts on my page start scroll automatically as soon as the user scrolls down a bit. It is super annoying and I don't know exactly what triggers the incompatibility with Chrome's latest feature that is supposed to improve usability.
      Since I don't know what causes it (Pagelines, or a Plugin), I would like to disable the feature using a CSS override that Google describes as follow:
      "Scroll anchoring aims to be the default mode of behavior when launched, so that users benefit from it even on legacy content. A CSS property overflow-anchor can disable scroll anchoring in part or all of a webpage (opt out), or exclude portions of the DOM from the anchor node selection algorithm. This property supports the following values when applied to an element E:
      overflow-anchor: auto (the default value) declares that the DOM subtree rooted at E is eligible to participate in the anchor node selection algorithm for any scrolling box created by E or an ancestor of E. overflow-anchor: none declares that the DOM subtree rooted at E is not eligible to participate in the anchor node selection algorithm for any scrolling box created by E or an ancestor of E." Do you guys happen to know how to use that property with the ROOT element so it applies to the whole page?
      Thanks
      Michael 
    • jagipson
      By jagipson+
      We had this site on our cloud 9 server and moved it to a Amazon Web Service server using Cloud Front and now the Editor on chrome is missing just says USE GOOGLE CHROME TO EDIT WITH DMS. Have tried multiple computers and same results. Any solutions why we would be have this problem?  Won't work on any page.
      http://www.viaglobalgroup.com/
      Thanks
       
      Matt
      @Danny @Andrew 

    • bnapoli
      By bnapoli+
      On my site www.modishmel.com I'm seeing the "blog post title" within the "pins" plugin section breaking words into multiple lines. See screenshot attached.
      Only seeing it in Firefox. Can you help?

    • abuzzelli
      By abuzzelli+
      Strange issue popped up...this site's header http://pattimhall.com looks right in all browsers except firefox. This is what it should look like:
      https://drive.google.com/file/d/0B49uWjV65L5RTGdHSFdsbzBDbTg/view?usp=sharing
      This is what it looks like instead:
      https://drive.google.com/file/d/0B49uWjV65L5RVTVLbnA5aUowWDQ/view?usp=sharing
      Any idea what's going on here?
    • richardjacruz
      By richardjacruz+
      I noticed that the cached version of the website from a Google SERP has broken CSS:
      http://webcache.googleusercontent.com/search?q=cache%3A1uyPM2gXGG0J%3Astevensoncrane.com%2F+&cd=16&hl=en&ct=clnk&gl=us
      Any idea why? The site looks fine elsewhere.
      Also, when using the Web Developer Toolbar in Mozilla Firefox, there are a BUNCH of warnings regarding CSS. I'm wondering that's the problem with the Google cache.
      In a prior post, I had experienced similar "breaking" of the CSS, but that was due to some errors in DNS. I thought we resolved all of that, so this perplexes me.
      Thanks,
      Rich
×